#!/usr/bin/env python3
"""
Decompress a zlib compressed file
by Javantea
Feb 12, 2015

It turns out that rpyc files are compressed with zlib.
It outputs to stdout just like zcat.
TODO: multiple files
TODO: -h help flag
TODO: Create a stupid function
TODO: Error checking
"""
import zlib
import sys

filename = '/home/jvoss/Steam/SteamApps/common/Roommates/game/about.rpyc'
if len(sys.argv) > 1:
	filename = sys.argv[1]
#end if
a = open(filename,'rb').read()
b = zlib.decompress(a)
if sys.hexversion > 0x3000000:
	sys.stdout.buffer.write(b)
else:
	sys.stdout.write(b)
#end if
